# ElementText.TextStyle (ARX Developer Documentation)

org.deidentifier.arx.certificate.elements

## Enum ElementText.TextStyle

- java.lang.Object
- - java.lang.Enum<ElementText.TextStyle>
  - - org.deidentifier.arx.certificate.elements.ElementText.TextStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ElementText.TextStyle>
  Enclosing class:
    ElementText

      public static enum ElementText.TextStyle
      extends java.lang.Enum<ElementText.TextStyle>

  Style

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOLD`
    `ITALIC`
    `PLAIN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementText.TextStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ElementText.TextStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLAIN

          public static final ElementText.TextStyle PLAIN

    - #### BOLD

          public static final ElementText.TextStyle BOLD

    - #### ITALIC

          public static final ElementText.TextStyle ITALIC

  - ### Method Detail

    - #### values

          public static ElementText.TextStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElementText.TextStyle c : ElementText.TextStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElementText.TextStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null